Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
FilePath Class Reference

`#include <gtest-filepath.h>`

## Public Member Functions
| FilePath ()
| FilePath (const FilePath &rhs)
| FilePath (const char *pathname)
| FilePath (const String &pathname)
FilePath & | operator= (const FilePath &rhs)
void | Set (const FilePath &rhs)
String | ToString () const
const char * | c_str () const
bool | IsEmpty () const
FilePath | RemoveTrailingPathSeparator () const
FilePath | RemoveDirectoryName () const
FilePath | RemoveFileName () const
FilePath | RemoveExtension (const char *extension) const
bool | CreateDirectoriesRecursively () const
bool | CreateFolder () const
bool | FileOrDirectoryExists () const
bool | DirectoryExists () const
bool | IsDirectory () const
bool | IsRootDirectory () const
bool | IsAbsolutePath () const
| FilePath ()
| FilePath (const FilePath &rhs)
| FilePath (const char *pathname)
| FilePath (const String &pathname)
FilePath & | operator= (const FilePath &rhs)
void | Set (const FilePath &rhs)
String | ToString () const
const char * | c_str () const
bool | IsEmpty () const
FilePath | RemoveTrailingPathSeparator () const
FilePath | RemoveDirectoryName () const
FilePath | RemoveFileName () const
FilePath | RemoveExtension (const char *extension) const
bool | CreateDirectoriesRecursively () const
bool | CreateFolder () const
bool | FileOrDirectoryExists () const
bool | DirectoryExists () const
bool | IsDirectory () const
bool | IsRootDirectory () const
bool | IsAbsolutePath () const
| FilePath ()
| FilePath (const FilePath &rhs)
| FilePath (const char *pathname)
| FilePath (const String &pathname)
FilePath & | operator= (const FilePath &rhs)
void | Set (const FilePath &rhs)
String | ToString () const
const char * | c_str () const
bool | IsEmpty () const
FilePath | RemoveTrailingPathSeparator () const
FilePath | RemoveDirectoryName () const
FilePath | RemoveFileName () const
FilePath | RemoveExtension (const char *extension) const
bool | CreateDirectoriesRecursively () const
bool | CreateFolder () const
bool | FileOrDirectoryExists () const
bool | DirectoryExists () const
bool | IsDirectory () const
bool | IsRootDirectory () const
bool | IsAbsolutePath () const

## Static Public Member Functions
static FilePath | GetCurrentDir ()
static FilePath | MakeFileName (const FilePath &directory, const FilePath &base_name, int number, const char *extension)
static FilePath | ConcatPaths (const FilePath &directory, const FilePath &relative_path)
static FilePath | GenerateUniqueFileName (const FilePath &directory, const FilePath &base_name, const char *extension)
static FilePath | GetCurrentDir ()
static FilePath | MakeFileName (const FilePath &directory, const FilePath &base_name, int number, const char *extension)
static FilePath | ConcatPaths (const FilePath &directory, const FilePath &relative_path)
static FilePath | GenerateUniqueFileName (const FilePath &directory, const FilePath &base_name, const char *extension)
static FilePath | GetCurrentDir ()
static FilePath | MakeFileName (const FilePath &directory, const FilePath &base_name, int number, const char *extension)
static FilePath | ConcatPaths (const FilePath &directory, const FilePath &relative_path)
static FilePath | GenerateUniqueFileName (const FilePath &directory, const FilePath &base_name, const char *extension)

## Constructor & Destructor Documentation

FilePath | ( |  | ) |
| inline

FilePath | ( | const FilePath & | rhs | ) |
| inline

FilePath | ( | const char * | pathname | ) |
| inline explicit

FilePath | ( | const String & | pathname | ) |
| inline explicit

FilePath | ( |  | ) |
| inline

FilePath | ( | const FilePath & | rhs | ) |
| inline

FilePath | ( | const char * | pathname | ) |
| inline explicit

FilePath | ( | const String & | pathname | ) |
| inline explicit

FilePath | ( |  | ) |
| inline

FilePath | ( | const FilePath & | rhs | ) |
| inline

FilePath | ( | const char * | pathname | ) |
| inline explicit

FilePath | ( | const String & | pathname | ) |
| inline explicit

## Member Function Documentation

const char* c_str | ( |  | ) | const
| inline

const char* c_str | ( |  | ) | const
| inline

const char* c_str | ( |  | ) | const
| inline

static FilePath ConcatPaths | ( | const FilePath & | directory,
|  | const FilePath & | relative_path
| ) |  |
| static

FilePath ConcatPaths | ( | const FilePath & | directory,
|  | const FilePath & | relative_path
| ) |  |
| static

static FilePath ConcatPaths | ( | const FilePath & | directory,
|  | const FilePath & | relative_path
| ) |  |
| static

bool CreateDirectoriesRecursively | ( |  | ) | const

bool CreateDirectoriesRecursively | ( |  | ) | const

bool CreateDirectoriesRecursively | ( |  | ) | const

bool CreateFolder | ( |  | ) | const

bool CreateFolder | ( |  | ) | const

bool CreateFolder | ( |  | ) | const

bool DirectoryExists | ( |  | ) | const

bool DirectoryExists | ( |  | ) | const

bool DirectoryExists | ( |  | ) | const

bool FileOrDirectoryExists | ( |  | ) | const

bool FileOrDirectoryExists | ( |  | ) | const

bool FileOrDirectoryExists | ( |  | ) | const

FilePath GenerateUniqueFileName | ( | const FilePath & | directory,
|  | const FilePath & | base_name,
|  | const char * | extension
| ) |  |
| static

static FilePath GenerateUniqueFileName | ( | const FilePath & | directory,
|  | const FilePath & | base_name,
|  | const char * | extension
| ) |  |
| static

static FilePath GenerateUniqueFileName | ( | const FilePath & | directory,
|  | const FilePath & | base_name,
|  | const char * | extension
| ) |  |
| static

FilePath GetCurrentDir | ( |  | ) |
| static

static FilePath GetCurrentDir | ( |  | ) |
| static

static FilePath GetCurrentDir | ( |  | ) |
| static

bool IsAbsolutePath | ( |  | ) | const

bool IsAbsolutePath | ( |  | ) | const

bool IsAbsolutePath | ( |  | ) | const

bool IsDirectory | ( |  | ) | const

bool IsDirectory | ( |  | ) | const

bool IsDirectory | ( |  | ) | const

bool IsEmpty | ( |  | ) | const
| inline

bool IsEmpty | ( |  | ) | const
| inline

bool IsEmpty | ( |  | ) | const
| inline

bool IsRootDirectory | ( |  | ) | const

bool IsRootDirectory | ( |  | ) | const

bool IsRootDirectory | ( |  | ) | const

static FilePath MakeFileName | ( | const FilePath & | directory,
|  | const FilePath & | base_name,
|  | int | number,
|  | const char * | extension
| ) |  |
| static

FilePath MakeFileName | ( | const FilePath & | directory,
|  | const FilePath & | base_name,
|  | int | number,
|  | const char * | extension
| ) |  |
| static

static FilePath MakeFileName | ( | const FilePath & | directory,
|  | const FilePath & | base_name,
|  | int | number,
|  | const char * | extension
| ) |  |
| static

FilePath& operator= | ( | const FilePath & | rhs | ) |
| inline

FilePath& operator= | ( | const FilePath & | rhs | ) |
| inline

FilePath& operator= | ( | const FilePath & | rhs | ) |
| inline

FilePath RemoveDirectoryName | ( |  | ) | const

FilePath RemoveDirectoryName | ( |  | ) | const

FilePath RemoveDirectoryName | ( |  | ) | const

FilePath RemoveExtension | ( | const char * | extension | ) | const

FilePath RemoveExtension | ( | const char * | extension | ) | const

FilePath RemoveExtension | ( | const char * | extension | ) | const

FilePath RemoveFileName | ( |  | ) | const

FilePath RemoveFileName | ( |  | ) | const

FilePath RemoveFileName | ( |  | ) | const

FilePath RemoveTrailingPathSeparator | ( |  | ) | const

FilePath RemoveTrailingPathSeparator | ( |  | ) | const

FilePath RemoveTrailingPathSeparator | ( |  | ) | const

void Set | ( | const FilePath & | rhs | ) |
| inline

void Set | ( | const FilePath & | rhs | ) |
| inline

void Set | ( | const FilePath & | rhs | ) |
| inline

String ToString | ( |  | ) | const
| inline

String ToString | ( |  | ) | const
| inline

String ToString | ( |  | ) | const
| inline

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/include/gtest/internal/gtest-filepath.h
- testing/googleTest/fused-src/gtest/gtest.h
- persistence/rapidjson/thirdparty/gtest/src/gtest-filepath.cc
- testing/googleTest/fused-src/gtest/gtest-all.cc